Kirjoittaja Aihe: Lucid Lynx 10.04 Thunderbird 3 pois ja Thunderbird 2 tilalle.  (Luettu 1236 kertaa)

Janiporo

  • Käyttäjä
  • Viestejä: 51
    • Profiili
Eli tapaus seuraava:
-Koneesta tilttas kovalevy. Käyttiksenä oli Lucid Lynx 10.04 ,ensimmäiseltä saatavilla olevalta viralliselta julkaisuversion-asennusmedialta asennettu (15 minuuttia julkasemisen jälkeen ladattu). Risan kovon sisältö on luettavissa, ja kytkettynä kiinni usb-palikalla, mutta ei kestä kauan toiminnassa, ylikuumenee. (pakastimen kautta onnistuu taas lukeminen jonku tunnin)

-Laitoin uuden kovon ja nyt pitäisi saaha sähköpostit toimimaan täydellisen käyttiksen uudelleenasennuksen jälkeen. Tälle kovolle asennetun käyttiksen asennusmedia ladattu eilen.



Uusimmalla asennusmedialla näemmä asensi automaattisesti TB 3 version, joka on ihan suolesta, en saa siihen näkyviin TB 2 sähköposteja. Vanhempi (ensimmäinen 10.04 asennusmedia) mielestäni asensi TB 2.

TB 2 tiedän kikan millä saa sähköpostit näkyviin (kopioi vaan sen /home/*USERNAME*/.thunderbird -kansion (ulkomuistista) vanhasta kovosta uudelle. JA toimii heittämällä.

TB3 ei osaa näitä lukea, eikä osaa kytkeä (ainakaan helpolla) POP3-laatikkoa käyttöön.

Nyt haluan siis heivata mäkeen tuon TB 3 (onnistuu) ja asentaa TB 2 siihen tilalle (ei onnistu)

Tähän asti tehtyä:
-Hain http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/2.0.0.24/linux-i686/fi/thunderbird-2.0.0.24.tar.gz -paketin ja yritin asentaa sitä.
Saan sen purettua, mutta en asennettua. Antaessani käskyn ./configure tulee vastaukseksi seuraavaa:
Koodia: [Valitse]
janiporo@janiporo-desktop:~/thunderbird$ ./configure
bash: ./configure: Tiedostoa tai hakemistoa ei ole

Edellinen siitä huolimatta että laitanko eteen "sudo", vai en. Olen mielestäni oikeassa hakemistossa, jonka sisältö näyttää seuraavalta:
Koodia: [Valitse]
janiporo@janiporo-desktop:~/thunderbird$ ls
chrome              libnssckbi.so       license.html
components          libnssdbm3.so       LICENSE.txt
defaults            libnssutil3.so      mozilla-installer-bin
dependentlibs.list  libplc4.so          mozilla-xremote-client
extensions          libplds4.so         README.txt
greprefs            libprldap50.so      removed-files
icons               libsmime3.so        res
init.d              libsoftokn3.chk     run-mozilla.sh
isp                 libsoftokn3.so      thunderbird
libfreebl3.chk      libsqlite3.so       thunderbird-bin
libfreebl3.so       libssl3.so          updater
libldap50.so        libxpcom_compat.so  updater.ini
libmozjs.so         libxpcom_core.so    updates
libnspr4.so         libxpcom.so         xpicleanup
libnss3.so          libxpistub.so
janiporo@janiporo-desktop:~/thunderbird$

Olen asentanut osoitteessa http://ubuntuguide.org/wiki/Ubuntu:Lucid olevan ohjeen mukaisesti (Installing a package from source) seuraavan:
Koodia: [Valitse]
sudo apt-get install build-essential linux-headers-$(uname -r)
Mutta en saa tuota ./configure -käskyä pelaamaan.

Sama juttu jo kolmessa eri Lucid-koneessa, eli jotakin uupunee alkuperäisestä paketista mikä vanhemmissa versioissa on ollut (käytän vain LTS-versioita Ubuntusta)

Apuja?

mrl586

  • Käyttäjä
  • Viestejä: 4638
    • Profiili
Tuo on valmis binaari, joten sinun ei tarvitse kääntää sitä. Thunderbird käynnistynee jollakin seuraavista komennoista:
Koodia: [Valitse]
sh ./run-mozilla.sh
./thunderbird
./thunderbird-bin

Janiporo

  • Käyttäjä
  • Viestejä: 51
    • Profiili
Hitto joo, kiitoksia :D

Parilla eri ohjelmalla oli tosin sama juttu, että 8.04 ubuntussa meni tollain ./configure-käskyl (esim mokkulan asennus) mut 10.04 ei toimi. Täytyy koklaa mokkulaa (kunhan saan läppärini takasi) että onnistuuko tällä sun neuvomal vihjeellä. Toki muuttaen ohjelman nimen oikeaksi :D

Katotaan, kiitoksia vielä =)